//import "./App.css";
import { useState } from "react";
import Feed from "./components/feed";
import ChangeLogInput from "./components/changeLogInput";

function App() {
  const [feed, setFeed] = useState(tempData);
  const [logInput, setLogInput] = useState("");

  return (
    <>
      <ChangeLogInput
        setLogInput={setLogInput}
        logInput={logInput}
        feed={feed}
        setFeed={setFeed}
      />
      <Feed entries={feed} />
    </>
  );
}

// This is just temp data that will get updated later
//
const fakeDate = new Date();
fakeDate.setDate(fakeDate.getDate() - 1);
const fakeDate2 = new Date();
fakeDate2.setDate(fakeDate2.getDate() - 2);
const fakeDate3 = new Date();
fakeDate3.setDate(fakeDate3.getDate() - 3);
const fakeDate4 = new Date();
fakeDate4.setDate(fakeDate4.getDate() - 4);

const tempData = [
  {
    body: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vitae nibh velit. Vivamus maximus elit et eleifend hendrerit. Praesent ac metus eget risus accumsan finibus. Cras tempor dignissim dolor, ut tempus tortor interdum non. Sed sit amet fringilla turpis. Sed congue feugiat orci, vel iaculis libero venenatis eu.",
    topics: ["#kubernetes", "#argocd"],
    date: fakeDate,
    id: 1,
  },
  {
    body: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vitae nibh velit. Vivamus maximus elit et eleifend hendrerit. Praesent ac metus eget risus accumsan finibus. Cras tempor dignissim dolor, ut tempus tortor interdum non. Sed sit amet fringilla turpis. Sed congue feugiat orci, vel iaculis libero venenatis eu.",
    topics: ["#react", "#python", "#javascript"],
    date: fakeDate2,
    id: 2,
  },
  {
    body: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vitae nibh velit. Vivamus maximus elit et eleifend hendrerit. Praesent ac metus eget risus accumsan finibus. Cras tempor dignissim dolor, ut tempus tortor interdum non. Sed sit amet fringilla turpis. Sed congue feugiat orci, vel iaculis libero venenatis eu.",
    topics: ["#docker", "#proxmox"],
    date: fakeDate3,
    id: 3,
  },
  {
    body: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vitae nibh velit. Vivamus maximus elit et eleifend hendrerit. Praesent ac metus eget risus accumsan finibus. Cras tempor dignissim dolor, ut tempus tortor interdum non. Sed sit amet fringilla turpis. Sed congue feugiat orci, vel iaculis libero venenatis eu.",
    topics: ["#aws", "#github"],
    date: fakeDate4,
    id: 4,
  },
];

export default App;
